package cn.iocoder.yudao.module.member.mq.message;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessage;
import cn.iocoder.yudao.module.member.enums.ScoreRuleTypeEnum;
import lombok.*;
/**
 * @author zhangfeng
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScoreMessage extends AbstractStreamMessage {
    /**
     * 积分规则类型所有消息必填
     */
    private ScoreRuleTypeEnum scoreRuleType;
    /**
     * 订单ID：订单V值消息必填
     */
    private Long orderId;
    /**
     * userID：注册，推荐必填（加分的人）
     */
    private Long userId;
    /**
     * 被推荐的会员ID：推荐必填
     */
    private Long recommendUserId;
    /**
     * 中文名：注册，推荐必填，推荐时填推荐人的信息
     */
    private String userNameZh;
    /**
     * 英文名：注册，推荐必填，推荐时填推荐人的信息
     */
    private String userNameEn;
    /**
     * userID：注册，推荐必填，推荐时填推荐人的信息
     */
    private String phone;
    /**
     * 推荐码：推荐必填
     */
    private String recommendCode;

    @Override
    public String getStreamKey() {
        return "member.score.add";
    }
}
